# classes/phing/tasks/system/LoadFileTask.php

LoadFileTask

Loads a (text) file and stores the contents in a property. Supports filterchains.

author
  Michiel Rook
package
  phing.tasks.ext
version
  $Id: LoadFileTask.php 1126 2011-05-31 20:49:04Z mrook $

## \LoadFileTask
jump to top

LoadFileTask

Loads a (text) file and stores the contents in a property. Supports filterchains.

Extends from
  \Task
author
  Michiel Rook
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.ext
version
  $Id: LoadFileTask.php 1126 2011-05-31 20:49:04Z mrook $

### Properties

`\PhingFile $file= ''`

File to read

file
Details

Type
  \PhingFile

`\FilterChain[] $filterChains= 'array'`

Array of FilterChain objects

Default value `array` Details

Type
  \FilterChain[]

`string $property= ''`

Property to be set

Details

Type
  string

### Methods

`createFilterChain( ) : object`
Creates a filterchain
Returns

Type | Description
--- | ---
object |

`main( ) : void`
Main method
Details

throws

`setFile( \PhingFile $file ) :`
Set file to read
Parameters

Name | Type | Description
--- | --- | ---
$file | \PhingFile |

`setProperty( $property ) : void`
Set name of property to be set
Parameters

Name | Type | Description
--- | --- | ---
$property |  |

`setSrcFile( $srcFile ) :`
Convenience setter to maintain Ant compatibility (@see setFile())
Parameters

Name | Type | Description
--- | --- | ---
$srcFile |  |

Documentation was generated by DocBlox 0.13.1.